<section id="view">
  <h1>Product Detail</h1>

  <div class="row">
    <div class="col-md-3">
      <form #f="ngForm" (ngSubmit)="save(f.value)">
        <div class="form-group">
          <label for="title">Title</label>
          <input
            #title="ngModel"
            [(ngModel)]="product.title"
            name="title"
            id="title"
            class="form-control"
            type="text"
            required
          />
          <div
            class="alert alert-danger"
            *ngIf="title.touched && title.invalid"
          >
            Title is Required.
          </div>
        </div>
        <div class="form-group">
          <label for="price">Price</label>
          <div class="input-group">
            <span class="input-group-addon"> &#8377; </span>
            <input
              #price="ngModel"
              [(ngModel)]="product.price"
              name="price"
              id="price"
              class="form-control"
              type="number"
              required
              [min]="0"
            />
          </div>
          <div
            class="alert alert-danger"
            *ngIf="price.touched && price.invalid"
          >
            <div *ngIf="price.errors.required">Price is Required.</div>
            <div *ngIf="price.errors.min">Price should be 0 or higher.</div>
          </div>
        </div>
        <div class="form-group">
          <label for="category">Category</label>
          <select
            #category="ngModel"
            [(ngModel)]="product.category"
            name="category"
            id="category"
            class="form-control"
            type="text"
            required
          >
            <option value=""></option>
            <option *ngFor="let c of categories$ | async" [value]="c.key">
              <!--   [value]="c.$key"   Use after async not properly functional now  -->
              {{ c.name }}
            </option>
            <div
              class="alert alert-danger"
              *ngIf="category.touched && category.invalid"
            >
              Category is Required.
            </div>
          </select>
        </div>
        <div class="form-group">
          <label for="imageUrl">Image URL</label>
          <input
            #imageUrl="ngModel"
            [(ngModel)]="product.imageUrl"
            name="imageUrl"
            id="imageUrl"
            class="form-control"
            type="text"
            required
            url
          />
          <div
            class="alert alert-danger"
            *ngIf="imageUrl.touched && imageUrl.invalid"
          >
            <div *ngIf="imageUrl.errors.required">Image Url is Required.</div>
            <div *ngIf="imageUrl.errors.url">Please Enter a Valid Url.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="description">description</label>
          <div class="input-group">
            <!-- <span class="input-group-addon"> &#8377; </span> -->
            <input
              #description="ngModel"
              [(ngModel)]="product.description"
              name="description"
              id="description"
              class="form-control"
              required
            />
          </div>
          <div
            class="alert alert-danger"
            *ngIf="description.touched && description.invalid"
          >
            <div *ngIf="description.errors.required">
              description is Required.
            </div>
            <div *ngIf="description.errors.min">
              description should be 0 or higher.
            </div>
          </div>
        </div>

        <button class="btn btn-primary">Save</button>
        <button (click)="delete()" class="btn btn-danger">Delete</button>
      </form>
    </div>

    <div class="col-md-1">
      <product-card [product]="product" [show-actions]="false"></product-card>
    </div>
  </div>
</section>
